kind: pipeline
type: exec
name: default

steps:
- name: analyze
  environment:
    SONAR_TOKEN:
      from_secret: sonar_token
  commands:
    - if [[ -z "$(curl -s https://qa.adlerneves.com | grep '502 Bad Gateway')" ]]; then /opt/sonar-scanner/bin/sonar-scanner -Dsonar.login=$$SONAR_TOKEN ; fi
